Uploaded image for project: 'FreeNAS / TrueNAS'
  1. FreeNAS / TrueNAS
  2. NAS-106965

qBittorrent Plugin Not Installing

    XMLWordPrintable

    Details

    • Impact:
      Low

      JEditor

        Description

        Greetings,
        I have seen this reported on the forums in a few places. Here is an example .
        When trying to install the qBittorrent plugin, I receive the following error:

        Install
        Error: qbittorrent had a failure Exception: RuntimeError Message: pkg error: - qbittorrent-nox :,lang/python3 : Refusing to fetch artifact and run post_install.sh! Partial plugin destroyed

        It appears that Python 3 fails to install, and I notice that qBittorent was switched to lang/python3 in NAS-104263, so I'm not sure if it's related.

        Here are the relevant bits from /var/log/messages:

        Jul 27 14:00:00 FreeNAS epair3a: Ethernet address: 02:ca:10:00:07:0a
        Jul 27 14:00:00 FreeNAS epair3b: Ethernet address: 02:53:77:00:08:0b
        Jul 27 14:00:00 FreeNAS kernel: epair3a: link state changed to UP
        Jul 27 14:00:00 FreeNAS kernel: epair3a: link state changed to UP
        Jul 27 14:00:00 FreeNAS kernel: epair3b: link state changed to UP
        Jul 27 14:00:00 FreeNAS kernel: epair3b: link state changed to UP
        Jul 27 14:00:00 FreeNAS rtsold[941]: <rtsock_input_ifannounce> interface epair3a removed
        Jul 27 14:00:00 FreeNAS rtsold[941]: <rtsock_input_ifannounce> interface epair3b removed
        Jul 27 14:00:01 FreeNAS kernel: epair3a: changing name to 'vnet0.5'
        Jul 27 14:00:01 FreeNAS kernel: epair3b: changing name to 'epair0b'
        Jul 27 14:00:01 FreeNAS kernel: vnet0.5: promiscuous mode enabled
        Jul 27 14:00:02 FreeNAS kernel: lo0: link state changed to UP
        Jul 27 14:00:02 FreeNAS kernel: lo0: link state changed to UP
        Jul 27 14:01:09 FreeNAS rtsold[941]: <rtsock_input_ifannounce> interface vnet0.5 removed
        Jul 27 14:01:09 FreeNAS kernel: vnet0.5: link state changed to DOWN
        Jul 27 14:01:09 FreeNAS kernel: vnet0.5: link state changed to DOWN
        Jul 27 14:01:09 FreeNAS kernel: epair0b: link state changed to DOWN
        Jul 27 14:01:09 FreeNAS kernel: epair0b: link state changed to DOWN
        Jul 27 14:01:16 FreeNAS kernel: in6_purgeaddr: err=65, destination address delete failed
        

        And from /var/log/middlewared.log:

        [2020/07/27 13:58:27] (DEBUG) iocage.retrieve_plugin_json():280 - Plugin json file path: /mnt/RedWolfHoard/iocage/.plugins/github_com_freenas_iocage-ix-plugins_git/qbittorrent.json
        [2020/07/27 13:58:28] (WARNING) iocage.callback():65 - Default mac_prefix specified in defaults.json '782bcb' is invalid. Using '020c29' mac prefix instead.
        [2020/07/27 13:59:57] (DEBUG) iocage.__start_jail__():249 - Grabbing IPv4 default route
        [2020/07/27 13:59:57] (DEBUG) iocage.__start_jail__():251 - Default IPv4 Gateway: 10.10.10.1
        [2020/07/27 13:59:57] (DEBUG) iocage.__start_jail__():254 - Grabbing IPv6 default route
        [2020/07/27 13:59:57] (DEBUG) iocage.__start_jail__():256 - Default IPv6 Gateway: fe80::b6fb:e4ff:fee4:f947%vmx0
        [2020/07/27 14:00:20] (DEBUG) DatastoreService.dump_json():377 - CallError(OperationalError('no such table: services_servicemonitor'))
        [2020/07/27 14:00:36] (DEBUG) iocage.create_install_packages():873 - b''
        [2020/07/27 14:01:26] (ERROR) middlewared.job.run():361 - Job <bound method accepts.<locals>.wrap.<locals>.nf of <middlewared.plugins.jail.PluginService object at 0x82c659a90>> failed
        Traceback (most recent call last):
         File "/usr/local/lib/python3.7/site-packages/iocage_lib/ioc_plugin.py", line 344, in fetch_plugin
         jaildir, conf, pkg, props, repo_dir
         File "/usr/local/lib/python3.7/site-packages/iocage_lib/ioc_plugin.py", line 750, in __fetch_plugin_install_packages__
         _callback=self.callback)
         File "/usr/local/lib/python3.7/site-packages/iocage_lib/ioc_common.py", line 103, in logit
         callback(content, exception)
         File "/usr/local/lib/python3.7/site-packages/iocage_lib/ioc_common.py", line 76, in callback
         raise callback_exception(message)
        RuntimeError: 
        pkg error:
         - qbittorrent-nox :,lang/python3 :
        Refusing to fetch artifact and run post_install.sh!
        During handling of the above exception, another exception occurred:
        Traceback (most recent call last):
         File "/usr/local/lib/python3.7/site-packages/middlewared/job.py", line 349, in run
         await self.future
         File "/usr/local/lib/python3.7/site-packages/middlewared/job.py", line 387, in __run_body
         rv = await self.middleware.run_in_thread(self.method, *([self] + args))
         File "/usr/local/lib/python3.7/site-packages/middlewared/utils/run_in_thread.py", line 10, in run_in_thread
         return await self.loop.run_in_executor(self.run_in_thread_executor, functools.partial(method, *args, **kwargs))
         File "/usr/local/lib/python3.7/site-packages/middlewared/utils/io_thread_pool_executor.py", line 25, in run
         result = self.fn(*self.args, **self.kwargs)
         File "/usr/local/lib/python3.7/site-packages/middlewared/schema.py", line 965, in nf
         return f(*args, **kwargs)
         File "/usr/local/lib/python3.7/site-packages/middlewared/plugins/jail.py", line 297, in do_create
         'branch': branch,
         File "/usr/local/lib/python3.7/site-packages/iocage_lib/iocage.py", line 1042, in fetch
         plugin_obj.fetch_plugin(props, 0, accept)
         File "/usr/local/lib/python3.7/site-packages/iocage_lib/ioc_plugin.py", line 359, in fetch_plugin
         silent=self.silent)
         File "/usr/local/lib/python3.7/site-packages/iocage_lib/ioc_common.py", line 103, in logit
         callback(content, exception)
         File "/usr/local/lib/python3.7/site-packages/iocage_lib/ioc_common.py", line 76, in callback
         raise callback_exception(message)
        RuntimeError: qbittorrent had a failure
        Exception: RuntimeError Message: 
        pkg error:
         - qbittorrent-nox :,lang/python3 :
        Refusing to fetch artifact and run post_install.sh!
        Partial plugin destroyed
        

         I am currently running on the following:

        FreeNAS-11.3-U4 running on ESXi 6.7u3
        Dell R510 II 12-bay
        2x X5650, 64GB RAM, PERC H310 9211-8i IT
        4x Exos 7E8 8TB 512e RAID-Z2 + 2x Samsung 850 512GB Cache
        

        If you need more data, please don't hesitate to let me know!

        Best,

        Zzyzx

          Attachments

            Attachments

              Activity

                People

                Assignee:
                waqar Waqar Ahmed
                Reporter:
                Zzyzx Zzyzx Wolfe
                Votes:
                0 Vote for this issue
                Watchers:
                4 Start watching this issue

                  Dates

                  Created:
                  Updated:
                  Resolved: